import {Box, Toolbar} from "@mui/material";
import {Outlet} from "react-router-dom";
import Header from "@/states/Dashboard/components/Header";
import Sidebar from "@/states/Dashboard/components/Sidebar";

const drawerWidth = 240;

export const Dashboard = () => {
    return (
        <Box sx={{display: "flex", overflow: "hidden"}}>
            <Header />
            <Sidebar />
            <Box component="main" sx={{flexGrow: 1, p: 3, ml: {sm: `${drawerWidth}px`}}}>
                <Toolbar/>
                <Outlet />
            </Box>
        </Box>
    )
}